添加 / 编辑产品分类
POST
/erp/sc/routing/storage/category/set支持添加/编辑本地产品分类
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/category/set | HTTPS | POST | 1 |
请求参数
dataarray<object>必填隐藏子属性
idintegerparent_cidintegertitlestring必填category_codestring必填请求示例
{
"data": [
{
"id":1,
"parent_cid":0,
"title": "衣服",
"category_code": "Bo135152"
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
idstring必填titlestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "71936B27-D0AE-8436-7F4F-62BEC7201AAE",
"response_time": "2021-11-11 18:21:45",
"data": [
{
"title": "华为2",
"parent_cid": "",
"id": "41"
}
],
"total": 1
}
返回失败示例
{
"code": 1000,
"message": "业务处理失败",
"error_details": [
{
"params": {
"id": "112",
"parent_cid": ""
},
"message": "错误:未找到对应的分类"
}
],
"request_id": "B7527DF4-4518-3EA4-DC53-8FBECA93571B",
"response_time": "2021-11-11 18:22:57",
"data": [],
"total": 0
}